メインコンテンツへスキップ
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
holderTrend
トークン - 保有者トレンド
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/holderTrend \
  --header 'Authorization: Bearer <token>'
[
  {
    "bluechipAmountRatio": "0.0200",
    "bundleAmountRatio": "0.0006",
    "creatorsAmountRatio": "0.0050",
    "devAmountRatio": "0.0100",
    "freshAmountRatio": "0.1500",
    "holders": "644381",
    "insiderAmountRatio": "0.0200",
    "kolAmountRatio": "0.0300",
    "phishingAmountRatio": "0.1400",
    "proAmountRatio": "0.0300",
    "ratAmountRatio": "0.0001",
    "sandwichAmountRatio": "0.0020",
    "smartAmountRatio": "0.0800",
    "sniperAmountRatio": "0.0050",
    "timestamp": 1747353600000,
    "top100HoldersRatio": "0.2500",
    "top10HoldersRatio": "0.0832",
    "top50HoldersRatio": "0.1500"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

A chain name listed in supported networks Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
tokenAddress
string
必須

An address of a token

クエリパラメータ

resolution
string
デフォルト:1h

DTO.TOKEN.HOLDER_TREND.RESOLUTION Aggregation resolution: 1h (default) | 1d

from
integer<int64>

DTO.TOKEN.HOLDER_TREND.FROM Start timestamp in Unix milliseconds (default: 30 days ago)

to
integer<int64>

DTO.TOKEN.HOLDER_TREND.TO End timestamp in Unix milliseconds (default: now)

レスポンス

200 - application/json

保有者トレンドデータ

bluechipAmountRatio
string
必須

Bluechip holder ratio (0–1)

:

"0.0200"

bundleAmountRatio
string
必須

Bundle (bundler) wallet holding ratio (0–1)

:

"0.0006"

creatorsAmountRatio
string
必須

Creator wallet holding ratio (0–1)

:

"0.0050"

devAmountRatio
string
必須

Dev wallet holding ratio (0–1)

:

"0.0100"

freshAmountRatio
string
必須

Fresh wallet holding ratio (0–1)

:

"0.1500"

holders
string
必須

Total holder count

:

"644381"

insiderAmountRatio
string
必須

Insider wallet holding ratio (0–1)

:

"0.0200"

kolAmountRatio
string
必須

KOL wallet holding ratio (0–1)

:

"0.0300"

phishingAmountRatio
string
必須

Phishing (entrapment) wallet holding ratio (0–1)

:

"0.1400"

proAmountRatio
string
必須

Pro wallet holding ratio (0–1)

:

"0.0300"

ratAmountRatio
string
必須

Rat trader holding ratio (0–1)

:

"0.0001"

sandwichAmountRatio
string
必須

Sandwich bot holding ratio (0–1)

:

"0.0020"

smartAmountRatio
string
必須

Smart wallet holding ratio (0–1)

:

"0.0800"

sniperAmountRatio
string
必須

Sniper wallet holding ratio (0–1)

:

"0.0050"

timestamp
integer<int64>
必須

Unix timestamp in milliseconds (start of the hour or day bucket)

:

1747353600000

top100HoldersRatio
string
必須

Top-100 holder ratio (0–1)

:

"0.2500"

top10HoldersRatio
string
必須

Top-10 holder ratio (0–1)

:

"0.0832"

top50HoldersRatio
string
必須

Top-50 holder ratio (0–1)

:

"0.1500"